Index: src/sas/qtgui/MainWindow/GuiManager.py
===================================================================
--- src/sas/qtgui/MainWindow/GuiManager.py	(revision e258c5390bcc9389df220535e158caa68f8ecfd5)
+++ src/sas/qtgui/MainWindow/GuiManager.py	(revision efaf0225bd2cf35830118b47f7f6f4cc9a94b2d2)
@@ -136,4 +136,6 @@
         self.logDockWidget = QDockWidget("Log Explorer", self._workspace)
         self.logDockWidget.setObjectName("LogDockWidget")
+        self.logDockWidget.visibilityChanged.connect(self.updateLogContextMenus)
+
 
         self.listWidget = QTextBrowser()
@@ -178,4 +180,13 @@
             logger.error("%s: could not load SasView models")
             logger.error(traceback.format_exc())
+
+    def updateLogContextMenus(self, visible=False):
+        """
+        Modify the View/Data Explorer menu item text on widget visibility
+        """
+        if visible:
+            self._workspace.actionHide_LogExplorer.setText("Hide Log Explorer")
+        else:
+            self._workspace.actionHide_LogExplorer.setText("Show Log Explorer")
 
     def updateContextMenus(self, visible=False):
@@ -433,12 +444,12 @@
         """
         # disable not yet fully implemented actions
-        self._workspace.actionOpen_Analysis.setEnabled(False)
-        self._workspace.actionUndo.setEnabled(False)
-        self._workspace.actionRedo.setEnabled(False)
-        self._workspace.actionReset.setEnabled(False)
-        self._workspace.actionStartup_Settings.setEnabled(False)
-        self._workspace.actionImage_Viewer.setEnabled(False)
-        self._workspace.actionCombine_Batch_Fit.setEnabled(False)
-        self._workspace.actionFit_Results.setEnabled(False)
+        self._workspace.actionOpen_Analysis.setVisible(False)
+        self._workspace.actionUndo.setVisible(False)
+        self._workspace.actionRedo.setVisible(False)
+        self._workspace.actionReset.setVisible(False)
+        self._workspace.actionStartup_Settings.setVisible(False)
+        self._workspace.actionImage_Viewer.setVisible(False)
+        self._workspace.actionCombine_Batch_Fit.setVisible(False)
+        self._workspace.actionFit_Results.setVisible(False)
         # orientation viewer set to invisible SASVIEW-1132
         self._workspace.actionOrientation_Viewer.setVisible(False)
@@ -467,4 +478,5 @@
         self._workspace.actionCategory_Manager.triggered.connect(self.actionCategory_Manager)
         self._workspace.actionHide_DataExplorer.triggered.connect(self.actionHide_DataExplorer)
+        self._workspace.actionHide_LogExplorer.triggered.connect(self.actionHide_LogExplorer)
         # Tools
         self._workspace.actionData_Operation.triggered.connect(self.actionData_Operation)
@@ -654,9 +666,17 @@
         """
         if self.dockedFilesWidget.isVisible():
-            #self._workspace.actionHide_DataExplorer.setText("Show Data Explorer")
             self.dockedFilesWidget.setVisible(False)
         else:
-            #self._workspace.actionHide_DataExplorer.setText("Hide Data Explorer")
             self.dockedFilesWidget.setVisible(True)
+        pass
+
+    def actionHide_LogExplorer(self):
+        """
+        Toggle Data Explorer vsibility
+        """
+        if self.logDockWidget.isVisible():
+            self.logDockWidget.setVisible(False)
+        else:
+            self.logDockWidget.setVisible(True)
         pass
 
Index: src/sas/qtgui/MainWindow/UI/MainWindowUI.ui
===================================================================
--- src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision fc5d2d7fa9cd52ca6b9a8d7082da6eddf35b1d34)
+++ src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision efaf0225bd2cf35830118b47f7f6f4cc9a94b2d2)
@@ -25,5 +25,5 @@
      <y>0</y>
      <width>915</width>
-     <height>26</height>
+     <height>21</height>
     </rect>
    </property>
@@ -75,4 +75,5 @@
     <addaction name="actionHide_Toolbar"/>
     <addaction name="actionHide_DataExplorer"/>
+    <addaction name="actionHide_LogExplorer"/>
     <addaction name="separator"/>
     <addaction name="actionStartup_Settings"/>
@@ -565,4 +566,9 @@
    </property>
   </action>
+  <action name="actionHide_LogExplorer">
+   <property name="text">
+    <string>Hide Log Explorer</string>
+   </property>
+  </action>
  </widget>
  <resources/>
